
<!---
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
-->
<h1 id="apache-yetus-changelog">Apache Yetus Changelog</h1>

<h2 id="release-0130---2020-11-27">Release 0.13.0 - 2020-11-27</h2>

<h3 id="important-issues">IMPORTANT ISSUES:</h3>

<table class="table table-bordered table-striped">
  <thead>
    <tr>
      <th style="text-align: left">JIRA</th>
      <th style="text-align: left">Summary</th>
      <th style="text-align: left">Priority</th>
      <th style="text-align: left">Component</th>
      <th style="text-align: left">Reporter</th>
      <th style="text-align: left">Contributor</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-964">YETUS-964</a></td>
      <td style="text-align: left">Replace prototool with buf</td>
      <td style="text-align: left">Critical</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-982">YETUS-982</a></td>
      <td style="text-align: left">Upgrade to Ubuntu Focal and update all dependencies/built-ins</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-986">YETUS-986</a></td>
      <td style="text-align: left">Switch development branch to 'main'</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-995">YETUS-995</a></td>
      <td style="text-align: left">vote table should have access to the log filename</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-994">YETUS-994</a></td>
      <td style="text-align: left">Add GitHub Status as a report type</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-966">YETUS-966</a></td>
      <td style="text-align: left">don't reset on FETCH_HEAD for git tags</td>
      <td style="text-align: left">Critical</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1000">YETUS-1000</a></td>
      <td style="text-align: left">GitHub Actions: use GitHub Checks for line comments support</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1012">YETUS-1012</a></td>
      <td style="text-align: left">Major overhaul of precommit documentation</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">website and documentation</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1017">YETUS-1017</a></td>
      <td style="text-align: left">Rework post-processing comparison to de-duplicate code</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1019">YETUS-1019</a></td>
      <td style="text-align: left">Rename 'whitespace' to 'blanks</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-992">YETUS-992</a></td>
      <td style="text-align: left">Create and publish a github action</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1028">YETUS-1028</a></td>
      <td style="text-align: left">Various missing github annotations</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1033">YETUS-1033</a></td>
      <td style="text-align: left">Move homebrew tap into it's own repository</td>
      <td style="text-align: left">Blocker</td>
      <td style="text-align: left">build, homebrew, website and documentation</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1046">YETUS-1046</a></td>
      <td style="text-align: left">remove jython releasedocmaker and shelldocs</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build, Release Doc Maker, ShellDocs</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1061">YETUS-1061</a></td>
      <td style="text-align: left">remove github user and password support</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1059">YETUS-1059</a></td>
      <td style="text-align: left">Github Status Recovery Tool</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-452">YETUS-452</a></td>
      <td style="text-align: left">Remove python2; rewrite Python bits for python3</td>
      <td style="text-align: left">Blocker</td>
      <td style="text-align: left">build, website and documentation</td>
      <td style="text-align: left">Ajay Yadav</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1072">YETUS-1072</a></td>
      <td style="text-align: left">Rework personalities and some plug-in handling</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
  </tbody>
</table>

<h3 id="new-features">NEW FEATURES:</h3>

<table class="table table-bordered table-striped">
  <thead>
    <tr>
      <th style="text-align: left">JIRA</th>
      <th style="text-align: left">Summary</th>
      <th style="text-align: left">Priority</th>
      <th style="text-align: left">Component</th>
      <th style="text-align: left">Reporter</th>
      <th style="text-align: left">Contributor</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-989">YETUS-989</a></td>
      <td style="text-align: left">Upgrade middleman to v4.3.10 to fix some security issues</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">website and documentation</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-988">YETUS-988</a></td>
      <td style="text-align: left">Update rubocop settings for homebrew</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-990">YETUS-990</a></td>
      <td style="text-align: left">ENTRYPOINT for apache/yetus:(tag) container images</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build, Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1054">YETUS-1054</a></td>
      <td style="text-align: left">Support buildkit</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1065">YETUS-1065</a></td>
      <td style="text-align: left">Add support for codespell</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1085">YETUS-1085</a></td>
      <td style="text-align: left">Add support for buildkite</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
  </tbody>
</table>

<h3 id="improvements">IMPROVEMENTS:</h3>

<table class="table table-bordered table-striped">
  <thead>
    <tr>
      <th style="text-align: left">JIRA</th>
      <th style="text-align: left">Summary</th>
      <th style="text-align: left">Priority</th>
      <th style="text-align: left">Component</th>
      <th style="text-align: left">Reporter</th>
      <th style="text-align: left">Contributor</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-970">YETUS-970</a></td>
      <td style="text-align: left">Add an emoji column to the gitlab vote table</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Yuxuan Wang</td>
      <td style="text-align: left">Yuxuan Wang</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-967">YETUS-967</a></td>
      <td style="text-align: left">Switch everything to https://downloads.apache.org</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build, website and documentation</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Akira Ajisaka</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-981">YETUS-981</a></td>
      <td style="text-align: left">Update spotbugs to 4.1.2 in docker image</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Istvan Toth</td>
      <td style="text-align: left">Istvan Toth</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-978">YETUS-978</a></td>
      <td style="text-align: left">missing exclusions file shouldn't be fatal</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-971">YETUS-971</a></td>
      <td style="text-align: left">update gitlab code to use newer env vars</td>
      <td style="text-align: left">Critical</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-917">YETUS-917</a></td>
      <td style="text-align: left">Remove caches to shrink docker image size</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-921">YETUS-921</a></td>
      <td style="text-align: left">Update docs to highlight Docker configuration functions</td>
      <td style="text-align: left">Minor</td>
      <td style="text-align: left">website and documentation</td>
      <td style="text-align: left">Clay B.</td>
      <td style="text-align: left">Clay B.</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-21">YETUS-21</a></td>
      <td style="text-align: left">patch to a unit test should only trigger that unit test</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1001">YETUS-1001</a></td>
      <td style="text-align: left">Remove ASF Jenkins hacks from Jenkinsfile</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1004">YETUS-1004</a></td>
      <td style="text-align: left">cleanup python3 a bit more in dockerfile</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build, Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1008">YETUS-1008</a></td>
      <td style="text-align: left">Add .asf.yaml to allow GitHub to JIRA integration</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Akira Ajisaka</td>
      <td style="text-align: left">Akira Ajisaka</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1007">YETUS-1007</a></td>
      <td style="text-align: left">Logging when adding GitHub commit statuses</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Akira Ajisaka</td>
      <td style="text-align: left">Akira Ajisaka</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1006">YETUS-1006</a></td>
      <td style="text-align: left">Determine git sha</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1003">YETUS-1003</a></td>
      <td style="text-align: left">Autodetermine PATCH_BRANCH_DEFAULT on GitHub</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1014">YETUS-1014</a></td>
      <td style="text-align: left">GitHub/GitLab: fill in project name from repo</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1016">YETUS-1016</a></td>
      <td style="text-align: left">Various test-patch performance improvements</td>
      <td style="text-align: left">Minor</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1021">YETUS-1021</a></td>
      <td style="text-align: left">Lots of minor documentation updates post-overhaul</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build, website and documentation</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1038">YETUS-1038</a></td>
      <td style="text-align: left">Disable jira and gitlab in action</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">github-action</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1037">YETUS-1037</a></td>
      <td style="text-align: left">yetus-test-patch-action missing .asf.yaml</td>
      <td style="text-align: left">Trivial</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1031">YETUS-1031</a></td>
      <td style="text-align: left">Create yetus-test-patch-action release script</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1032">YETUS-1032</a></td>
      <td style="text-align: left">Automate and update release documentation</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build, github-action, website and documentation</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1036">YETUS-1036</a></td>
      <td style="text-align: left">Provide comprehensive changelogs and release notes</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Release Doc Maker, website and documentation</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1040">YETUS-1040</a></td>
      <td style="text-align: left">all releasenotes page should not '–usetoday'</td>
      <td style="text-align: left">Minor</td>
      <td style="text-align: left">website and documentation</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-889">YETUS-889</a></td>
      <td style="text-align: left">change golangci-lint to give all output</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1053">YETUS-1053</a></td>
      <td style="text-align: left">Add Apache Creadur RAT to the docker image</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1064">YETUS-1064</a></td>
      <td style="text-align: left">bufcompat does not generate annotations.</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1063">YETUS-1063</a></td>
      <td style="text-align: left">Enhance documentation for docker-cleanup and docker in general</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit, website and documentation</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1082">YETUS-1082</a></td>
      <td style="text-align: left">asflicense results incorrect pathing</td>
      <td style="text-align: left">Trivial</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1092">YETUS-1092</a></td>
      <td style="text-align: left">Exit immediately if –personality doesn't exist</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
  </tbody>
</table>

<h3 id="bug-fixes">BUG FIXES:</h3>

<table class="table table-bordered table-striped">
  <thead>
    <tr>
      <th style="text-align: left">JIRA</th>
      <th style="text-align: left">Summary</th>
      <th style="text-align: left">Priority</th>
      <th style="text-align: left">Component</th>
      <th style="text-align: left">Reporter</th>
      <th style="text-align: left">Contributor</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-972">YETUS-972</a></td>
      <td style="text-align: left">Make javadoc phase and goal configurable in maven.sh</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Akira Ajisaka</td>
      <td style="text-align: left">Akira Ajisaka</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-974">YETUS-974</a></td>
      <td style="text-align: left">start-build-env.sh fails</td>
      <td style="text-align: left">Critical</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Akira Ajisaka</td>
      <td style="text-align: left">Akira Ajisaka</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-985">YETUS-985</a></td>
      <td style="text-align: left">binaries are not marked for execution in maven artifacts</td>
      <td style="text-align: left">Blocker</td>
      <td style="text-align: left">build, Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-991">YETUS-991</a></td>
      <td style="text-align: left">Downgrade pylint to 2.5.3</td>
      <td style="text-align: left">Blocker</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-998">YETUS-998</a></td>
      <td style="text-align: left">Post vote table changes glitches</td>
      <td style="text-align: left">Blocker</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1013">YETUS-1013</a></td>
      <td style="text-align: left">The –sentinel option in test-patch.sh should also set ROBOT to true</td>
      <td style="text-align: left">Critical</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Duo Zhang</td>
      <td style="text-align: left">Duo Zhang</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-940">YETUS-940</a></td>
      <td style="text-align: left">Update for Semaphore CI 2.0</td>
      <td style="text-align: left">Minor</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1020">YETUS-1020</a></td>
      <td style="text-align: left">golangci-lint is crashing</td>
      <td style="text-align: left">Blocker</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-906">YETUS-906</a></td>
      <td style="text-align: left">Site goal hangs when building Website/Documentation module</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Release Doc Maker, website and documentation</td>
      <td style="text-align: left">Sean Busbey</td>
      <td style="text-align: left">Sean Busbey</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1018">YETUS-1018</a></td>
      <td style="text-align: left">CircleCI adding space to artifact URL</td>
      <td style="text-align: left">Minor</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-980">YETUS-980</a></td>
      <td style="text-align: left">jshint doesn't honor excludes file</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1022">YETUS-1022</a></td>
      <td style="text-align: left">Get commit sha from github PR json</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit, website and documentation</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1024">YETUS-1024</a></td>
      <td style="text-align: left">github actions docs point to wrong repo, missing secrets</td>
      <td style="text-align: left">Trivial</td>
      <td style="text-align: left">website and documentation</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1025">YETUS-1025</a></td>
      <td style="text-align: left">bufcompat doesn't get linecomments</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1027">YETUS-1027</a></td>
      <td style="text-align: left">checkmake output is incorrect</td>
      <td style="text-align: left">Blocker</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1026">YETUS-1026</a></td>
      <td style="text-align: left">precommit docs lost utilities</td>
      <td style="text-align: left">Blocker</td>
      <td style="text-align: left">website and documentation</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1005">YETUS-1005</a></td>
      <td style="text-align: left">Update Cirrus CI Support</td>
      <td style="text-align: left">Minor</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1041">YETUS-1041</a></td>
      <td style="text-align: left">new release script fixes</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1044">YETUS-1044</a></td>
      <td style="text-align: left">jars are not getting signed with build-and-sign</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1039">YETUS-1039</a></td>
      <td style="text-align: left">Homebrew is still broken</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">homebrew</td>
      <td style="text-align: left">Nick Dimiduk</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1056">YETUS-1056</a></td>
      <td style="text-align: left">blanks gives wrong advice</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1050">YETUS-1050</a></td>
      <td style="text-align: left">perlcritic should not force –brutal</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1043">YETUS-1043</a></td>
      <td style="text-align: left">github action website linkchecker doesn't work for releases</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1067">YETUS-1067</a></td>
      <td style="text-align: left">mvn site fails on empty release</td>
      <td style="text-align: left">Minor</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1066">YETUS-1066</a></td>
      <td style="text-align: left">Fix spelling mistakes</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">website and documentation</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1070">YETUS-1070</a></td>
      <td style="text-align: left">Various github bugs/issues</td>
      <td style="text-align: left">Critical</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1068">YETUS-1068</a></td>
      <td style="text-align: left">Docs for yetus-maven-plugin are out of date</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">website and documentation</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1079">YETUS-1079</a></td>
      <td style="text-align: left">github-status-recovery is out of order</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1073">YETUS-1073</a></td>
      <td style="text-align: left">GITHUB_REPO_DEFAULT isn't honored</td>
      <td style="text-align: left">Minor</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1069">YETUS-1069</a></td>
      <td style="text-align: left">no annotation for failing to apply PR</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1058">YETUS-1058</a></td>
      <td style="text-align: left">Strip leading ./ from linecomments</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1089">YETUS-1089</a></td>
      <td style="text-align: left">replaceable is not consistently handled</td>
      <td style="text-align: left">Minor</td>
      <td style="text-align: left">ShellDocs</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
  </tbody>
</table>

<h3 id="tests">TESTS:</h3>

<table class="table table-bordered table-striped">
  <thead>
    <tr>
      <th style="text-align: left">JIRA</th>
      <th style="text-align: left">Summary</th>
      <th style="text-align: left">Priority</th>
      <th style="text-align: left">Component</th>
      <th style="text-align: left">Reporter</th>
      <th style="text-align: left">Contributor</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1035">YETUS-1035</a></td>
      <td style="text-align: left">Add test4tests to action test filter</td>
      <td style="text-align: left">Trivial</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1055">YETUS-1055</a></td>
      <td style="text-align: left">Add test code for yetuslib</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build, Precommit</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
  </tbody>
</table>

<h3 id="other">OTHER:</h3>

<table class="table table-bordered table-striped">
  <thead>
    <tr>
      <th style="text-align: left">JIRA</th>
      <th style="text-align: left">Summary</th>
      <th style="text-align: left">Priority</th>
      <th style="text-align: left">Component</th>
      <th style="text-align: left">Reporter</th>
      <th style="text-align: left">Contributor</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1047">YETUS-1047</a></td>
      <td style="text-align: left">Replace yetus-minimaven-plugin with yetus-maven-plugin</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1077">YETUS-1077</a></td>
      <td style="text-align: left">Remove jython completely</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Akira Ajisaka</td>
      <td style="text-align: left">Akira Ajisaka</td>
    </tr>
    <tr>
      <td style="text-align: left"><a href="https://issues.apache.org/jira/browse/YETUS-1034">YETUS-1034</a></td>
      <td style="text-align: left">Release 0.13.0</td>
      <td style="text-align: left">Major</td>
      <td style="text-align: left">build</td>
      <td style="text-align: left">Allen Wittenauer</td>
      <td style="text-align: left">Allen Wittenauer</td>
    </tr>
  </tbody>
</table>

